( cd usr/lib ; rm -rf libpolkit-gobject-1.so )
( cd usr/lib ; ln -sf libpolkit-gobject-1.so.0.0.0 libpolkit-gobject-1.so )
( cd usr/lib ; rm -rf libpolkit-agent-1.so.0 )
( cd usr/lib ; ln -sf libpolkit-agent-1.so.0.0.0 libpolkit-agent-1.so.0 )
( cd usr/lib ; rm -rf libpolkit-gobject-1.so.0 )
( cd usr/lib ; ln -sf libpolkit-gobject-1.so.0.0.0 libpolkit-gobject-1.so.0 )
( cd usr/lib ; rm -rf libpolkit-agent-1.so )
( cd usr/lib ; ln -sf libpolkit-agent-1.so.0.0.0 libpolkit-agent-1.so )

## insertroleaccount accountname [uid] [gid]
##   This routine will create a role account on the system with the uid (and
##   optional gid) specified.  It will check to make sure that the id names
##   are not duplicated but relies on useradd and groupadd to emit errors if
##   the numeric ids would be non-unique.  Although they are optional, it is
##   recommended that the uid and gid fields be specified since Slackware
##   makes an assumption that role accounts will have ids below 100, and left
##   unspecified useradd will pick a uid above 1000.
##
insertroleaccount ()
{
  local rolename=$1 uid=$2 gid=${3:-$2}
  local tmp exists

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/group

  if [ "$exists" != 'y' ]; then
    groupadd ${gid:+-g $gid} $rolename
    exists='n'
  fi

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/passwd

  if [ "$exists" != 'y' ]; then
    chroot /$ROOT /usr/sbin/useradd ${uid:+-u $uid} $rolename -g $rolename -s /bin/false -d / -c "$rolename role account"
  fi
}

insertroleaccount polkitd 28 28

if grep -Fxq "polkitd:x:28:28:PolicyKit Daemon Owner:/etc/polkit-1:/bin/false" /etc/passwd
then
	echo "Everything is up to date"
else
	echo "Updating user"
groupadd -fg 28 polkitd &&
usermod -c "PolicyKit Daemon Owner" -d /etc/polkit-1 -u 28 \
        -g polkitd -s /bin/false polkitd
fi
